<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLocationFeesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('location_fees', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('forwarder_id')->unsigned()->nullable();
            $table->string('state')->nullable();
            $table->decimal('rate', 7, 2)->default(0);
            $table->decimal('outstation_rate', 7, 2)->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('location_fees');
    }
}
